Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.mvel
Class MVELAttributeEvaluator

    java.lang.Object
      org.apache.tiles.evaluator.AbstractAttributeEvaluator
          org.apache.tiles.mvel.MVELAttributeEvaluator

All Implemented Interfaces:
  AttributeEvaluator

    public class MVELAttributeEvaluator

extends AbstractAttributeEvaluator

Allows to use MVEL as the language to evaluate attribute values.

Since:
  2.2.0
Version:
  $Rev: 817009 $ $Date: 2009-09-20 13:26:26 +0200 (dom, 20 set 2009) $

Constructor Summary
`MVELAttributeEvaluator(TilesRequestContextHolder requestHolder, org.mvel2.integration.VariableResolverFactory variableResolverFactory)` Constructor.

Method Summary
`java.lang.Object` | `evaluate(java.lang.String expression, TilesRequestContext request)` Evaluates an expression.
`void` | `init(java.util.Map<java.lang.String,java.lang.String> initParameters)` Initializes the attribute evaluator.

Methods inherited from class org.apache.tiles.evaluator.AbstractAttributeEvaluator
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVELAttributeEvaluator

    public MVELAttributeEvaluator(TilesRequestContextHolder requestHolder,
                                  org.mvel2.integration.VariableResolverFactory variableResolverFactory)

  Constructor.

  Parameters:
    `requestHolder` - The object that holds the Tiles request context of the current thread.
    `variableResolverFactory` - The resolver factory to use.
  Since:
    2.2.0

Method Detail

### init

    public void init(java.util.Map<java.lang.String,java.lang.String> initParameters)

  Initializes the attribute evaluator.

  Parameters:
    `initParameters` - The initialization parameters.

### evaluate

    public java.lang.Object evaluate(java.lang.String expression,
                                     TilesRequestContext request)

  Evaluates an expression.

  Parameters:
    `expression` - The expression to evaluate.
    `request` - The request object.
  Returns:
    The evaluated object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.